﻿using Jypeli;

/// @author Vesa Lappalainen, Antti-Jussi Lakanen
/// @version 2025
///
/// <summary>
/// Demo 3, tehtävä 6.
/// Ohjelmassa harjoitellaan aliohjelmien kuormitusta (overload).
/// </summary>
public class T6_Portaat : PhysicsGame
{
    /// <summary>
    /// Aliohjelma piirtää ruutuun yhden neliön, jolle
    /// voi antaa sivun pituuden ja keskipisteen (x, y).
    /// </summary>
    /// <param name="x">Neliön keskipisteen x-koordinaatti.</param>
    /// <param name="y">Neliön keskipisteen y-koordinaatti.</param>
    /// <param name="sivunPituus">Sivun pituuden puolikas (säde)</param>
    public void PiirraNelio(double x, double y, double sivunPituus)
    {
        GameObject nelio = new GameObject(sivunPituus, sivunPituus);
        nelio.X = x;
        nelio.Y = y;
        // Tai lyhyemmin:
        // nelio.Position = new Vector(x, y);
        Add(nelio);
    }


    /// <summary>
    /// Aliohjelma piirtää ruutuun yhden neliön, jonka
    /// sivun pituus on 80, ja keskipiste on (x, y).
    /// </summary>
    /// <param name="x">Neliön keskipisteen x-koordinaatti.</param>
    /// <param name="y">Neliön keskipisteen y-koordinaatti.</param>
    public void PiirraNelio(double x, double y)
    {
        PiirraNelio(x, y, 80);
    }


    /// <summary>
    /// Kutsutaan PiirraNeliota muutaman kerran.
    /// </summary>
    public override void Begin()
    {
        PiirraNelio(0, 0);
        PiirraNelio(80, 80);
        PiirraNelio(160, 160);
        PiirraNelio(240, 240);
        PiirraNelio(320, 320);

        PiirraNelio(300, 100, 40);
        PiirraNelio(330, 130, 20);

        Camera.ZoomToAllObjects(100);
    }
}
